
showTo: all

priority: 20

type: FIXED_SIZE

showHeaderFooter: true

header:
- '&e1.19满城花语 &a纯净生存服务器'

headerAnimationUpdateInterval: 0.2

footer:
- '&e官方QQ群:&a584651844'

footerAnimationUpdateInterval: 0.5

customPlaceholders:
  player_colored_ping0:
    !conditional
    condition: "${player ping} < 50"
    true: "&a${player ping}"
    false: "&e${player ping}"
  player_colored_ping:
    !conditional
    condition: "${player ping} < 150"
    true: ${player_colored_ping0}
    false: "&c${player ping}"
  player_server_replace:
    !switch
    expression: "${viewer server}"
    replacements:
      "sc1": "&e一区"
      "sc2": "&e二区"
      "kd": "&e空岛生存"
    defaultReplacement: "&e大厅"
    

defaultIcon: colors/dark_gray.png
defaultPing: 0
size: 60
playerSets:
  global:
    filter: "true"
    hiddenPlayers: VISIBLE_TO_ADMINS
  sc1: ${player server} == "sc1"
  sc2: ${player server} == "sc2"
  kd: ${player server} == "lkd"

components:
- {text: "&6&l一区", icon: "default/players.png", ping: 0}
- {text: "&6&l二区", icon: "default/players.png", ping: 0}
- {text: "&6&l空岛生存", icon: "default/players.png", ping: 0}

- !table
  columns:
    0:
      - !players
        playerSet: sc1
        playerOrder: "luckpermsbungee_primary_group_weight desc"
        playerComponent: "${player playerTitle_use} &7${player name}"
        morePlayersComponent: {text: "&7... 以及 &e${other_count} &7位玩家", icon: "default/players.png", ping: 0}

    1:
      - !players
        playerSet: sc2
        playerOrder: "luckpermsbungee_primary_group_weight desc"
        playerComponent: "${player playerTitle_use} &7${player name}"
        morePlayersComponent: {text: "&7... 以及 &e${other_count} &7位玩家", icon: "default/players.png", ping: 0}

    2:
      - !players
        playerSet: kd
        playerOrder: "luckpermsbungee_primary_group_weight desc"
        playerComponent: "${player playerTitle_use} &7${player name}"
        morePlayersComponent: {text: "&7... 以及 &e${other_count} &7位玩家", icon: "default/players.png", ping: 0}

- !spacer {}
- {text: "&7北京时间: &6${time H:mm:ss}", icon: "default/clock.png", ping: 0}
- {text: "&7总在线玩家: &6${playerset:global size}", icon: "default/players.png", ping: 0}
- {text: "&7当前区域: ${player_server_replace}", icon: "colors/gold.png", ping: 0}